curl -X GET "https://us.api.bland.ai/v1/custom-dialing-pools" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://us.api.bland.ai/v1/custom-dialing-pools', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
}
});
const data = await response.json();
console.log(data);
import requests
url = "https://us.api.bland.ai/v1/custom-dialing-pools"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
{
"status": "success",
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+13105551234", "+19175555678"],
"encrypted_key": null,
"created_at": "2024-01-16T14:45:00Z"
}
],
"errors": null
}
{
"status": "success",
"data": [],
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "UNAUTHORIZED",
"message": "Invalid API key or insufficient permissions"
}
]
}
Custom Dialing Pools
List Custom Dialing Pools
Retrieve all custom dialing pools for your organization.
GET
/
v1
/
custom-dialing-pools
curl -X GET "https://us.api.bland.ai/v1/custom-dialing-pools" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://us.api.bland.ai/v1/custom-dialing-pools', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
}
});
const data = await response.json();
console.log(data);
import requests
url = "https://us.api.bland.ai/v1/custom-dialing-pools"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
{
"status": "success",
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+13105551234", "+19175555678"],
"encrypted_key": null,
"created_at": "2024-01-16T14:45:00Z"
}
],
"errors": null
}
{
"status": "success",
"data": [],
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "UNAUTHORIZED",
"message": "Invalid API key or insufficient permissions"
}
]
}
Enterprise Feature - Custom dialing is only available on Enterprise plans.
Headers
string
required
Your API key for authentication.
Response
string
Can be
success or error.array
Array of custom dialing pool objects (present only if status is
success).array
curl -X GET "https://us.api.bland.ai/v1/custom-dialing-pools" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch('https://us.api.bland.ai/v1/custom-dialing-pools', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
}
});
const data = await response.json();
console.log(data);
import requests
url = "https://us.api.bland.ai/v1/custom-dialing-pools"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
{
"status": "success",
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+13105551234", "+19175555678"],
"encrypted_key": null,
"created_at": "2024-01-16T14:45:00Z"
}
],
"errors": null
}
{
"status": "success",
"data": [],
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "UNAUTHORIZED",
"message": "Invalid API key or insufficient permissions"
}
]
}
Docs for agents: llms.txt
Was this page helpful?